<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Developer &mdash; Xuc 2.0.7 documentation</title>
    
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '2.0.7',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="top" title="Xuc 2.0.7 documentation" href="../index.html" />
    <link rel="next" title="Javascript API" href="../api/javascriptapi.html" />
    <link rel="prev" title="Xuc server installation" href="../installation/installation.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../api/javascriptapi.html" title="Javascript API"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="../installation/installation.html" title="Xuc server installation"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">Xuc 2.0.7 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="developer">
<span id="developper"></span><h1>Developer<a class="headerlink" href="#developer" title="Permalink to this headline">¶</a></h1>
<div class="section" id="building-and-packaging">
<h2>Building and packaging<a class="headerlink" href="#building-and-packaging" title="Permalink to this headline">¶</a></h2>
<div class="section" id="dependencies">
<h3>Dependencies<a class="headerlink" href="#dependencies" title="Permalink to this headline">¶</a></h3>
<ul>
<li><dl class="first docutils">
<dt>Xivo Java Cti lib ; <a class="reference external" href="https://gitorious.org/xivo/xivo-javactilib">https://gitorious.org/xivo/xivo-javactilib</a></dt>
<dd><ul class="first last simple">
<li>mvn install</li>
</ul>
</dd>
</dl>
</li>
<li><dl class="first docutils">
<dt>theatrus/akka-quartz <span class="classifier-delimiter">:</span> <span class="classifier"><a class="reference external" href="https://github.com/theatrus/akka-quartz">https://github.com/theatrus/akka-quartz</a></span></dt>
<dd><ul class="first last simple">
<li>sbt publish-local</li>
</ul>
</dd>
</dl>
</li>
</ul>
<p>(sudo apt-get install devscripts)</p>
</div>
<div class="section" id="update-change-log">
<h3>Update change log<a class="headerlink" href="#update-change-log" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>dch -i in project root directory, parent of debian/changelog</li>
<li>edit changelog to add version</li>
</ul>
</div>
<div class="section" id="update-documentation-site">
<h3>Update documentation site<a class="headerlink" href="#update-documentation-site" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>activator make-site</li>
<li>copy target/sphinx/docs content to public/doc</li>
</ul>
</div>
<div class="section" id="update-logger-xml-with-new-version">
<h3>Update logger.xml with new version<a class="headerlink" href="#update-logger-xml-with-new-version" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Create debian package : activator debian:genChanges</li>
</ul>
</div>
</div>
<div class="section" id="documentation-guidelines">
<h2>Documentation Guidelines<a class="headerlink" href="#documentation-guidelines" title="Permalink to this headline">¶</a></h2>
<p>The Xuc documentation uses <a class="reference external" href="http://docutils.sourceforge.net/rst.html">reStructuredText</a> as its markup language and is
built using <a class="reference external" href="http://sphinx.pocoo.org">Sphinx</a>.</p>
<p>For more details see <a class="reference external" href="http://sphinx.pocoo.org/contents.html">The Sphinx Documentation</a></p>
<p>For more details see <a class="reference external" href="http://docutils.sourceforge.net/docs/user/rst/quickref.html">The reST Quickref</a></p>
<p>Quick Reference</p>
<ul class="simple">
<li><a class="reference external" href="http://docutils.sourceforge.net/docs/user/rst/cheatsheet.txt">http://docutils.sourceforge.net/docs/user/rst/cheatsheet.txt</a></li>
<li><a class="reference external" href="http://docutils.sourceforge.net/docs/user/rst/quickref.html">http://docutils.sourceforge.net/docs/user/rst/quickref.html</a></li>
<li><a class="reference external" href="http://openalea.gforge.inria.fr/doc/openalea/doc/_build/html/source/sphinx/rest_syntax.html">http://openalea.gforge.inria.fr/doc/openalea/doc/_build/html/source/sphinx/rest_syntax.html</a></li>
</ul>
<div class="section" id="sections">
<h3>Sections<a class="headerlink" href="#sections" title="Permalink to this headline">¶</a></h3>
<p>Section headings are very flexible in reST. We use the following convention in
the Xuc documentation:</p>
<ul class="simple">
<li><tt class="docutils literal"><span class="pre">#</span></tt> (over and under) for module headings</li>
<li><tt class="docutils literal"><span class="pre">=</span></tt> for sections</li>
<li><tt class="docutils literal"><span class="pre">-</span></tt> for subsections</li>
<li><tt class="docutils literal"><span class="pre">^</span></tt> for subsubsections</li>
<li><tt class="docutils literal"><span class="pre">~</span></tt> for subsubsubsections</li>
</ul>
</div>
<div class="section" id="cross-referencing">
<h3>Cross-referencing<a class="headerlink" href="#cross-referencing" title="Permalink to this headline">¶</a></h3>
<p>Sections that may be cross-referenced across the documentation should be marked
with a reference. To mark a section use <tt class="docutils literal"><span class="pre">..</span> <span class="pre">_ref-name:</span></tt> before the section
heading. The section can then be linked with <tt class="docutils literal"><span class="pre">:ref:`ref-name`</span></tt>. These are
unique references across the entire documentation.</p>
<p>For example:</p>
<div class="highlight-rest"><div class="highlight"><pre><span class="p">..</span> <span class="nt">_xuc-module:</span>

#############
 Xuc Module
#############

This is the module documentation.

<span class="p">..</span> <span class="nt">_xuc-section:</span>

<span class="gh">Xuc Section</span>
<span class="gh">============</span>

<span class="gh">Xuc Subsection</span>
<span class="gh">---------------</span>

Here is a reference to &quot;xuc section&quot;: <span class="na">:ref:</span><span class="nv">`xuc-section`</span> which will have the
name &quot;Xuc Section&quot;.
</pre></div>
</div>
<div class="section" id="build-the-documentation">
<h4>Build the documentation<a class="headerlink" href="#build-the-documentation" title="Permalink to this headline">¶</a></h4>
<p>First install <a class="reference external" href="http://sphinx.pocoo.org">Sphinx</a>. See below.</p>
</div>
</div>
<div class="section" id="building">
<h3>Building<a class="headerlink" href="#building" title="Permalink to this headline">¶</a></h3>
<p>For the html and pdf version of the docs:</p>
<div class="highlight-rest"><div class="highlight"><pre>activator make-site

open &lt;project-dir&gt;/target/sphinx/docs/index.html
open &lt;project-dir&gt;/target/sphinx/docs/Xuc-doc.pdf
</pre></div>
</div>
</div>
<div class="section" id="installing-sphinx-and-other-tools">
<h3>Installing Sphinx and other tools<a class="headerlink" href="#installing-sphinx-and-other-tools" title="Permalink to this headline">¶</a></h3>
<p>To be able to generate pdf and documentation you need install Sphinx and other tools:</p>
<div class="highlight-rest"><div class="highlight"><pre>sudo easy_install -U Sphinx
sudo apt-get install texlive-latex-base texlive-latex-recommended texlive-latex-extra texlive-fonts-recommended
</pre></div>
</div>
</div>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Developer</a><ul>
<li><a class="reference internal" href="#building-and-packaging">Building and packaging</a><ul>
<li><a class="reference internal" href="#dependencies">Dependencies</a></li>
<li><a class="reference internal" href="#update-change-log">Update change log</a></li>
<li><a class="reference internal" href="#update-documentation-site">Update documentation site</a></li>
<li><a class="reference internal" href="#update-logger-xml-with-new-version">Update logger.xml with new version</a></li>
</ul>
</li>
<li><a class="reference internal" href="#documentation-guidelines">Documentation Guidelines</a><ul>
<li><a class="reference internal" href="#sections">Sections</a></li>
<li><a class="reference internal" href="#cross-referencing">Cross-referencing</a><ul>
<li><a class="reference internal" href="#build-the-documentation">Build the documentation</a></li>
</ul>
</li>
<li><a class="reference internal" href="#building">Building</a></li>
<li><a class="reference internal" href="#installing-sphinx-and-other-tools">Installing Sphinx and other tools</a></li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="../installation/installation.html"
                        title="previous chapter">Xuc server installation</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="../api/javascriptapi.html"
                        title="next chapter">Javascript API</a></p>
  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/developers/developers.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../api/javascriptapi.html" title="Javascript API"
             >next</a> |</li>
        <li class="right" >
          <a href="../installation/installation.html" title="Xuc server installation"
             >previous</a> |</li>
        <li><a href="../index.html">Xuc 2.0.7 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2013-2014, Avencall.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>